function healing_action(heal,cooldown)
return {type="use-on-self",attack_parameters={
        ammo_category = "capsule",
        cooldown = cooldown,
        range = 0,
        ammo_type =
        {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "instant",
              target_effects = 
              {
                type = "damage",
                damage = {type = "physical", amount = -heal}
              }
            }
          }
        }
	}}
end

data:extend{
	{ type = "capsule", name = "raw-biter-meat",
    icon = "__Biter-Bites__/graphics/raw.png",
    flags = {"goes-to-quickbar"},
    subgroup = "raw-resource",
    capsule_action = healing_action(5,180),
    order = "f-f-b",
    stack_size = 50
	},
	{ type = "capsule", name = "raw-spitter-meat",
    icon = "__Biter-Bites__/graphics/rawspit.png",
    flags = {"goes-to-quickbar"},
    subgroup = "raw-resource",
    capsule_action = healing_action(10,300),
    order = "f-f-c",
    stack_size = 50
	},
	--20/30, 20/60, 20/80
  { type = "capsule", name = "roast-biter-meat",
    icon = "__Biter-Bites__/graphics/roast.png",
    flags = {"goes-to-quickbar"},
    subgroup = "raw-resource",
    capsule_action = healing_action(40,90),
    order = "f-e-b",
    stack_size = 50
  },
  { type = "capsule", name = "roast-spitter-meat",
    icon = "__Biter-Bites__/graphics/roastspit.png",
    flags = {"goes-to-quickbar"},
    subgroup = "raw-resource",
    capsule_action = healing_action(20,60),
    order = "f-e-c",
    stack_size = 50
  },
  { type = "recipe", name = "cook-biter-meat",
    category = "smelting",
    energy_required = 1,
    ingredients = {{ "raw-biter-meat", 10}},
    result = "roast-biter-meat",
  },
  { type = "recipe", name = "cook-spitter-meat",
    category = "smelting",
    energy_required = 1,
    ingredients = {{ "raw-spitter-meat", 10}},
    result = "roast-spitter-meat",
  },
}

function corpsemine(name,yield,difficulty,count)
	local corpse=data.raw.corpse[name]
	if corpse==nil then error(name) end
	corpse.selectable_in_game=true
	if not corpse.minable then
		corpse.minable=
			{mining_particle = "blood-particle",
			 mining_time = difficulty,
			 results={{name=yield,amount_min=1,amount_max=count, probability = count/(count+1)}}
			 }
	else
		if not corpse.minable.results then corpse.minable.results = {} end
		local single,multiple = corpse.minable.result, corpse.minable.results
		if single then
			table.insert(multiple,{name=single.result,amount=single.result})
		end
		table.insert(multiple,{name=yield,amount_min=1,amount_max=count, probability = count/(count+1)})
	end
end

local num
local corpsedrop = {}
for name,e in pairs(data.raw.unit) do
	if string.find(name,"biter") then
		if e.corpse then
			num = math.floor((math.sqrt(e.max_health)+2)/5)
			if corpsedrop[e.corpse] then
				if corpsedrop[e.corpse].meat=="raw-biter-meat" then
					if corpsedrop[e.corpse].amount < num then corpsedrop[e.corpse].amount=num end
				else corpsedrop[e.corpse].amount=0 end
			else
				corpsedrop[e.corpse]={meat="raw-biter-meat",amount=num}
			end
		end--15,75,375; 3,25,75
	elseif string.find(name,"spitter") then
		num = math.floor((math.sqrt(e.max_health)+1)/4)
		if e.corpse then
			if corpsedrop[e.corpse] then
				if corpsedrop[e.corpse].meat=="raw-spitter-meat" then
					if corpsedrop[e.corpse].amount < num then corpsedrop[e.corpse].amount=num end
				else corpsedrop[e.corpse].amount=0 end
			else
				corpsedrop[e.corpse]={meat="raw-spitter-meat", amount=num}
			end
		end--10,50,200; 2,10,40
	end
end

for name,e in pairs(corpsedrop) do
	if e.amount>0 then corpsemine(name,e.meat,e.amount+1,e.amount) end
end

--nerfbuff for testing
--[[
data.raw.ammo["basic-bullet-magazine"].ammo_type.action[1].action_delivery[1].target_effects[2].damage.amount=10
data.raw.ammo["basic-bullet-magazine"].ammo_type.action[1].action_delivery[1].target_effects[2].damage.type="laser"

data.raw.unit["big-biter"].attack_parameters.ammo_type.action.action_delivery.target_effects.damage.amount=1
data.raw.unit["big-spitter"].attack_parameters.damage_modifier=1
data.raw.unit["medium-biter"].attack_parameters.ammo_type.action.action_delivery.target_effects.damage.amount=1
data.raw.unit["medium-spitter"].attack_parameters.damage_modifier=1
--]]