data:extend(
{
  { type = "recipe", name = "mini-assembling-machine-1",
    enabled = "false",
    energy_required = 6,
    ingredients =
    {
      {"assembling-machine-1", 1},
--      {"plastic-bar", 3},
      {"steel-plate", 1},
      {"electronic-circuit", 2}
    },
    result = "mini-assembling-machine-1"
  },
  { type = "recipe", name = "mini-assembling-machine-2",
    enabled = "false",
    energy_required = 9,
    ingredients =
    {
      {"assembling-machine-2", 1},
      {"plastic-bar", 3},
      {"steel-plate", 1},
      {"advanced-circuit", 2}
    },
    result = "mini-assembling-machine-2"
  },
  { type = "recipe", name = "mini-assembling-machine-3",
    enabled = "false",
    energy_required = 12,
    ingredients =
    {
      {"assembling-machine-3", 1},
      {"plastic-bar", 3},
      {"steel-plate", 1},
      {"advanced-circuit", 2}
    },
    result = "mini-assembling-machine-3"
  },
  { type = "recipe", name = "mini-electric-furnace",
    enabled = "false",
    energy_required = 10,
    ingredients = {{"steel-plate", 15}, {"processing-unit", 2}, {"stone-brick", 10}, {"plastic-bar", 5}},
    result = "mini-electric-furnace"
  },


  
  { type = "item", name = "mini-assembling-machine-1",
    icon = "__Miniaturization__/graphics/icons/mini-assembling-machine.png",
    flags = {"goes-to-quickbar"},
    subgroup = "production-machine",
    order = "a[mini-assembling-machine-1]",
    place_result = "mini-assembling-machine-1",
    stack_size = 50
  },
  { type = "item", name = "mini-assembling-machine-2",
    icon = "__Miniaturization__/graphics/icons/mini-assembling-machine-2.png",
    flags = {"goes-to-quickbar"},
    subgroup = "production-machine",
    order = "b[mini-assembling-machine-2]",
    place_result = "mini-assembling-machine-2",
    stack_size = 50
  },
  { type = "item", name = "mini-assembling-machine-3",
    icon = "__Miniaturization__/graphics/icons/mini-assembling-machine-3.png",
    flags = {"goes-to-quickbar"},
    subgroup = "production-machine",
    order = "c[mini-assembling-machine-3]",
    place_result = "mini-assembling-machine-3",
    stack_size = 50
  },
  { type = "item", name = "mini-electric-furnace",
    icon = "__Miniaturization__/graphics/icons/mini-electric-furnace.png",
    flags = {"goes-to-quickbar"},
    subgroup = "smelting-machine",
    order = "c[mini-electric-furnace]",
    place_result = "mini-electric-furnace",
    stack_size = 50
  },

  { type = "assembling-machine", name = "mini-assembling-machine-1",
    icon = "__Miniaturization__/graphics/icons/mini-assembling-machine.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "mini-assembling-machine-1"},
    max_health = 180,
    corpse = "medium-remnants",
    dying_explosion = "huge-explosion",
    resistances =
    {
      {
        type = "fire",
        percent = 70
      }
    },
    collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
    selection_box = {{-1, -1}, {1, 1}},
    fast_replaceable_group = "mini-assembling-machine",
    animation =
    {
      filename = "__base__/graphics/entity/assembling-machine-1/assembling-machine-1.png",
      priority="high",
      width = 99,
      height = 102,
      frame_count = 32,
      line_length = 8,
      shift = {0.166, -0.067},--{0.25, -0.1},
	  scale = .66
    },
    crafting_categories = {"crafting"},
    crafting_speed = 0.6,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 1.8/75--0.05 / 1.5  * 9/8
    },
    energy_usage = "75kW",
    ingredient_count = 1,
    module_slots = 1,
    allowed_effects = {"consumption", "speed", "productivity", "pollution"},
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.75 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.65 },
    working_sound =
    {
      sound = {
        {
          filename = "__base__/sound/assembling-machine-t1-1.ogg",
          volume = 0.8
        },
        {
          filename = "__base__/sound/assembling-machine-t1-2.ogg",
          volume = 0.8
        },
      },
      idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
      apparent_volume = 1.2,
    }
  },
  { type = "assembling-machine", name = "mini-assembling-machine-2",
    icon = "__base__/graphics/icons/assembling-machine-2.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "mini-assembling-machine-2"},
    max_health = 250,
    corpse = "big-remnants",
    dying_explosion = "huge-explosion",
    resistances =
    {
      {
        type = "fire",
        percent = 70
      }
    },
    collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
    selection_box = {{-1, -1}, {1, 1}},
    fast_replaceable_group = "mini-assembling-machine",
    animation =
    {
      filename = "__base__/graphics/entity/assembling-machine-2/assembling-machine-2.png",
      priority = "high",
      width = 113,
      height = 99,
      frame_count = 32,
      line_length = 8,
      shift = {0.24, -0.04},--{0.4, -0.06},
	  scale = .66
    },
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.75 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.65 },
    working_sound =
    {
      sound = {
        {
          filename = "__base__/sound/assembling-machine-t2-1.ogg",
          volume = 0.8
        },
        {
          filename = "__base__/sound/assembling-machine-t2-2.ogg",
          volume = 0.8
        },
      },
      idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
      apparent_volume = 1.2,
    },
    crafting_categories = {"crafting", "advanced-crafting"},
    crafting_speed = 0.8,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 1.4/140--0.04 / 2.5
    },
    energy_usage = "140kW",
    ingredient_count = 2,
    module_slots = 1,
    allowed_effects = {"consumption", "speed", "productivity", "pollution"}
  },
  { type = "assembling-machine", name = "mini-assembling-machine-3",
    icon = "__base__/graphics/icons/assembling-machine-3.png",
    flags = {"placeable-neutral","placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "mini-assembling-machine-3"},
    max_health = 240,
    corpse = "medium-remnants",
    dying_explosion = "huge-explosion",
    resistances = 
    {
      {
        type = "fire",
        percent = 70
      }
    },
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.75 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.65 },
    working_sound =
    {
      sound = {
        {
          filename = "__base__/sound/assembling-machine-t3-1.ogg",
          volume = 0.8
        },
        {
          filename = "__base__/sound/assembling-machine-t3-2.ogg",
          volume = 0.8
        },
      },
      idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
      apparent_volume = 1.2,
    },
    collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
    selection_box = {{-1, -1}, {1, 1}},
    fast_replaceable_group = "mini-assembling-machine",
    animation =
    {
      filename = "__base__/graphics/entity/assembling-machine-3/assembling-machine-3.png",
      priority = "high",
      width = 142,
      height = 113,
      frame_count = 32,
      line_length = 8,
      shift = {0.56, -0.06},--{0.84, -0.09},
	  scale = .66
    },
    crafting_categories = {"crafting", "advanced-crafting"},
    crafting_speed = 1,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 1.2/150--0.03 / 3.5
    },
    energy_usage = "150kW",
    ingredient_count = 3,
    module_slots = 2,
    allowed_effects = {"consumption", "speed", "productivity", "pollution"}
  },
  
  {
    type = "furnace", name = "mini-electric-furnace",
    icon = "__Miniaturization__/graphics/icons/mini-electric-furnace.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "mini-electric-furnace"},
    max_health = 140,
    corpse = "medium-remnants",
    dying_explosion = "huge-explosion",
    light = {intensity = 1, size = 6},
    resistances = 
    {
      {
        type = "fire",
        percent = 80
      }
    },
    collision_box = {{-.9, -.9}, {.9, .9}},
    selection_box = {{-1, -1}, {1, 1}},
    module_slots = 1,
--    smelting_categories = {"smelting"},
    crafting_categories = {"smelting"},
    result_inventory_size = 1,
    crafting_speed = 1.9,
--    smelting_energy_consumption = "180kW",
    energy_usage = "180kW",
    source_inventory_size = 1,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = .8/180--0.005
    },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/electric-furnace.ogg",
        volume = 0.6
      },
      apparent_volume = 1.5
    },
	--[[
    on_animation =
    {
      filename = "__base__/graphics/entity/electric-furnace/electric-furnace.png",
      priority = "high",
      x = 131,
      width = 131,
      height = 102,
      frame_count = 12,
      animation_speed = 0.6,
      shift = {0.33, 0.033 },--{0.5, 0.05 },
	  scale = .66
    },
    off_animation =
    {
      filename = "__base__/graphics/entity/electric-furnace/electric-furnace.png",
      priority = "high",
      width = 131,
      height = 102,
      frame_count = 1,
      animation_speed = 0.5,
      shift = {0.33, 0.033 },
	  scale = .66
    },
	--]]
    animation =
    {
      filename = "__base__/graphics/entity/electric-furnace/electric-furnace-base.png",
      priority = "high",
      width = 129,
      height = 100,
      frame_count = 1,
      shift = {0.421875*.66, 0},
	  scale = .66
    },
    working_visualisations =
    {
      {
        animation =
        {
          filename = "__base__/graphics/entity/electric-furnace/electric-furnace-heater.png",
          priority = "high",
          width = 25,
          height = 15,
          frame_count = 12,
          animation_speed = 0.5,
		  scale = .66,
          shift = {0.015625*.66, 0.890625*.66}
        },
        light = {intensity = 0.4, size = 6, shift = {0.0, 1.0*.66}}
      },
      {
        animation =
        {
          filename = "__base__/graphics/entity/electric-furnace/electric-furnace-propeller-1.png",
          priority = "high",
          width = 19,
          height = 13,
          frame_count = 4,
          animation_speed = 0.5,
		  scale = .66,
          shift = {-0.671875*.66, -0.640625*.66}
        }
      },
      {
        animation =
        {
          filename = "__base__/graphics/entity/electric-furnace/electric-furnace-propeller-2.png",
          priority = "high",
          width = 12,
          height = 9,
          frame_count = 4,
          animation_speed = 0.5,
		  scale = .66,
          shift = {0.0625*.66, -1.234375*.66}
        }
      }
    },
    fast_replaceable_group = "furnace"
  },
  
})
